Error when using pyuic4 on Windows 7

GreyHippo
GreyHippo used Ask the Experts™
on
I am trying to get started at developing plugins for QGIS (an open source GIS software) and I am trying to compile a UI python file using pyuic4 but when I try to compile the UI file I get an error, see below:

D:\Program Files (x86)\Quantum GIS Wroclaw\bin>pyuic4 -o "C:\workspaces\FlowDire
ctionTest\ui_flowdirectiontest.py" "C:\workspaces\FlowDirectionTest\ui_flowdirec
tiontest.ui"
'import site' failed; use -v for traceback
Traceback (most recent call last):
  File "d:\PROGRA~3\QUANTU~1\apps\Python25\Lib\site-packages\PyQt4\uic\pyuic.py"
, line 34, in <module>
    import optparse
ImportError: No module named optparse

I am using QGIS 1.7.4 on a Windows 7 64bit.  I used the Plugin Builder to create all the necessary files.  I haven't written any other code yet.

Thanks for you help.
Comment
Watch Question

Do more with

Expert Office
EXPERT OFFICE® is a registered trademark of EXPERTS EXCHANGE®
I ended up installing VirtualBox and Ubuntu and then compiled the plugin using make

Author

Commented:
It fixed my problem

Do more with

Expert Office
Submit tech questions to Ask the Experts™ at any time to receive solutions, advice, and new ideas from leading industry professionals.

Start 7-Day Free Trial